NameAndTypeCPInfo (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.depend.constantpool, class: NameAndTypeCPInfo

Package org.apache.tools.ant.taskdefs.optional.depend.constantpool

# Class NameAndTypeCPInfo

java.lang.Object
org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
org.apache.tools.ant.taskdefs.optional.depend.constantpool.NameAndTypeCPInfo

public class NameAndTypeCPInfo extends ConstantPoolEntry
A NameAndType CP Info

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

  `CONSTANT_CLASS, CONSTANT_DOUBLE, CONSTANT_DYNAMIC, CONSTANT_FIELDREF, CONSTANT_FLOAT, CONSTANT_INTEGER, CONSTANT_INTERFACEMETHODREF, CONSTANT_INVOKEDYNAMIC, CONSTANT_LONG, CONSTANT_METHODHANDLE, CONSTANT_METHODREF, CONSTANT_METHODTYPE, CONSTANT_MODULEINFO, CONSTANT_NAMEANDTYPE, CONSTANT_PACKAGEINFO, CONSTANT_STRING, CONSTANT_UTF8`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameAndTypeCPInfo()`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Get the name component of this entry
  `String`
  `getType()`
  Get the type signature of this entry
  `void`
  `read(DataInputStream cpStream)`
  read a constant pool entry from a class stream.
  `void`
  `resolve(ConstantPool constantPool)`
  Resolve this constant pool entry with respect to its dependents in the constant pool.
  `String`
  `toString()`
  Print a readable version of the constant pool entry.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

  `getNumEntries, getTag, isResolved, readEntry`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NameAndTypeCPInfo

    public NameAndTypeCPInfo()
    Constructor.

- ## Method Details

  - ### read

    public void read(DataInputStream cpStream) throws IOException
    read a constant pool entry from a class stream.
    Specified by:
      `read` in class `ConstantPoolEntry`
    Parameters:
      `cpStream` - the DataInputStream which contains the constant pool entry to be read.
    Throws:
      `IOException` - if there is a problem reading the entry from the stream.

  - ### toString

    public String toString()
    Print a readable version of the constant pool entry.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string representation of this constant pool entry.

  - ### resolve

    public void resolve(ConstantPool constantPool)
    Resolve this constant pool entry with respect to its dependents in the constant pool.
    Overrides:
      `resolve` in class `ConstantPoolEntry`
    Parameters:
      `constantPool` - the constant pool of which this entry is a member and against which this entry is to be resolved.

  - ### getName

    public String getName()
    Get the name component of this entry
    Returns:
      the name of this name and type entry

  - ### getType

    public String getType()
    Get the type signature of this entry
    Returns:
      the type signature of this entry